# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import checker_pb2 as checker__pb2


class CheckerStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.check_passwords = channel.unary_unary(
            '/prime.Checker/check_passwords',
            request_serializer=checker__pb2.Pair.SerializeToString,
            response_deserializer=checker__pb2.PasswordResult.FromString,
        )


class CheckerServicer(object):
    """Missing associated documentation comment in .proto file."""

    def check_passwords(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_CheckerServicer_to_server(servicer, server):
    rpc_method_handlers = {
        'check_passwords': grpc.unary_unary_rpc_method_handler(
            servicer.check_passwords,
            request_deserializer=checker__pb2.Pair.FromString,
            response_serializer=checker__pb2.PasswordResult.SerializeToString,
        ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
        'prime.Checker', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


# This class is part of an EXPERIMENTAL API.
class Checker(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def check_passwords(request,
                        target,
                        options=(),
                        channel_credentials=None,
                        call_credentials=None,
                        insecure=False,
                        compression=None,
                        wait_for_ready=None,
                        timeout=None,
                        metadata=None):
        return grpc.experimental.unary_unary(request, target, '/prime.Checker/check_passwords',
                                             checker__pb2.Pair.SerializeToString,
                                             checker__pb2.PasswordResult.FromString,
                                             options, channel_credentials,
                                             insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
